%define upstream_name    Text-Context
%define upstream_version 3.7

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    A paragraph in context
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTML::Entities)
BuildRequires: perl(Text::Context::EitherSide)
BuildRequires: perl(UNIVERSAL::require)
BuildArch: noarch


%description
Given a piece of text and some search terms, produces an object which
locates the search terms in the message, extracts a reasonable-length
string containing all the search terms, and optionally dumps the string out
as HTML text with the search terms highlighted in bold.

new
    Creates a new snippet object for holding and formatting context for
    search terms.

keywords
    Accessor method to get/set keywords. As the context search is done
    case-insensitively, the keywords will be lower-cased.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 3.700.0-10.mga9
+ Revision: 1806361
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 3.700.0-9.mga8
+ Revision: 1497665
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 3.700.0-8.mga7
+ Revision: 1272031
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 3.700.0-7.mga6
+ Revision: 1034904
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 3.700.0-6.mga6
+ Revision: 945755
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.700.0-5.mga5
+ Revision: 739747
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.700.0-4.mga5
+ Revision: 686611
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.700.0-3.mga4
+ Revision: 515526
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.700.0-2.mga3
+ Revision: 374005
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 3.700.0-1.mga1
+ Revision: 23919
- cleaning spec file
- imported package perl-Text-Context

